Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.index
Class CategoryIndex

    java.lang.Object
      net.sourceforge.pebble.index.CategoryIndex

    public class CategoryIndex

extends java.lang.Object

Represents the category index for a blog.

Author:
  Simon Brown

Constructor Summary
`CategoryIndex(Blog blog)`

Method Summary
`void` | `clear()` Clears the index.
`java.util.List<java.lang.String>` | `getRecentBlogEntries(Category category)` Gets the the list of blog entries for a given category.
`void` | `index(BlogEntry blogEntry)` Indexes a single blog entry.
`void` | `index(java.util.List<BlogEntry> blogEntries)` Indexes one or more blog entries.
`void` | `unindex(BlogEntry blogEntry)` Unindexes a single blog entry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CategoryIndex

    public CategoryIndex(Blog blog)

Method Detail

### clear

    public void clear()

  Clears the index.

### index

    public void index(java.util.List<BlogEntry> blogEntries)

  Indexes one or more blog entries.

  Parameters:
    `blogEntries` - a List of BlogEntry instances

### index

    public void index(BlogEntry blogEntry)

  Indexes a single blog entry.

  Parameters:
    `blogEntry` - a BlogEntry instance

### unindex

    public void unindex(BlogEntry blogEntry)

  Unindexes a single blog entry.

  Parameters:
    `blogEntry` - a BlogEntry instance

### getRecentBlogEntries

    public java.util.List<java.lang.String> getRecentBlogEntries(Category category)

  Gets the the list of blog entries for a given category.

  Parameters:
    `category` - a category
  Returns:
    a List of blog entry IDs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.